#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>


make_directory(path) 
    char *path;
{
    struct stat	buf;
    if (stat(path, &buf) != 0){
	if (mkdir(path, 0755) != 0){
	    fprintf(stderr, "ERROR creating %s\n", path);
	    perror("\tgeemkdirs");
	    exit(1);
	}
    }
}


int main(argc, argv)
    int argc;
    char **argv;
{
    char *path;
    char *next;
    char *totalpath;
    struct stat	buf;
    
    if (argc != 2 || *(argv[1]) != '/') {
	fprintf(stderr, "usage: %s path\n", argv[0]);
	exit(1);
    }
    
    path = totalpath = argv[1];
    if (stat(totalpath, &buf) == 0){
	fprintf(stderr, "Directory %s already exists...\n", totalpath);
	exit(0);
    }
    next = path;
    next++; /* skip over leading slash */
    while((next = (char *)strchr(next, '/')) != 0){
	*next = '\0';
	make_directory(path);
	*next = '/';
	next++;
    }
    /* check tail end of path */
    make_directory(path);
    fprintf(stderr, "Created directory %s\n", path);
    exit(0);
}

