#!/bin/csh -f

# directory TARGET/config has the GEE configuration files
# TARGET is set by the first defined of
#	a) first argument on command line
#	b) environment variable GEEDIR
#	c) build time value for GEE_DESTINATION_DIRECTORY

# subsequent entries on the command line are taken as arguments to imake
# to give arguments without specifying the TARGET, use --- as the first arg

if ($#argv>0 && "$1" != "---") then
	set TARGET = $1
	shift
else if (${?GEEDIR}) then
	set TARGET = ${GEEDIR}
else 
	set TARGET = GEE_DESTINATION_DIRECTORY
endif

if ("$1" == "---") then
	shift
endif

if (! -e Imakefile) then
	echo "*** No Imakefile - Cannot Generate Makefile"
	exit(1)
endif


echo "Generating Makefile using defns in ${TARGET}/config"
mv Makefile ,Makefile >& /dev/null
imake -T imake.tmpl -I${TARGET} -I${TARGET}/config -DCONFIGDIRDEFN=${TARGET}/config $argv:q
rm -f ,Makefile
