#!/bin/sh

# script for running a java program prepared for gee
# utilizes the environment variables OSAGENT_PORT, OSAGENT_ADDR
# provides a class path, but precedes it with CLASSPATH environment value
# incorporates environment value GJOPTIONS into command line


PROPERTIES="${GJOPTIONS} "

if [ "X${OSAGENT_PORT}X" -ne "XX" ] ; then
	PROPERTIES="$PROPERTIES -DORBagentPort=${OSAGENT_PORT}"
fi

if [ -n "$OSAGENT_ADDR" ]; then
	PROPERTIES="$PROPERTIES -DORBagentAddr=$OSAGENT_ADDR"
fi

if [ `uname -s` = "AIX" ] ; then
	 PROPERTIES="$PROPERTIES -DORBsyncGC=false"
fi

PROPERTIES="$PROPERTIES -Xbootclasspath:GEE_JAVA_BOOTCLASSPATH"
PROPERTIES="$PROPERTIES -classpath ${CLASSPATH}${CLASSPATH:+:}GEE_JAVA_CLASSPATH"


GEE_JAVA_HOME/bin/java ${PROPERTIES} $*
