
typedef char *String;


	static String
toString(s) 
	char *s;
{
	return (String)strcpy((char *)malloc(strlen(s)+1), s);
}

	static void
dedollar(name) 
	String name;
{
	/* scan name, convert $$ to $ */
	char *nx;
	for (nx = name; *nx; nx++) 
		if (*nx == '$' && nx[1] == '$')
			strcpy(nx, nx+1);
}

	static String
normalize(name) 
	String name;
{
	/* remove leading nested ../.../dir from name
	   return the removed prefix as a string 
	*/
	int ndd = 0;
	char *nx;
	String prefix;
	for (nx = name; strncmp(nx, "../", 3) == 0; nx += 3, ndd++) {}
	if (ndd == 0)
		return "";
	while (ndd > 0) {
		while (*nx && *nx != '/') nx++;
		ndd --;
		nx++;
	}
	/* now nx points to first character of value for name itself */
	nx[-1] = '\0';
	prefix = toString(name);
	strcpy(name, nx);
	return prefix;
}


/* This program converts a list of file names to a `jar` file list.
	a) convert '$$' to '$'
	b) for each initial ../, remove the ../ and the corresponding directory
	c) produce the directory name removed in b 
		as an argument to -C and include it in the list
	d) elide a -C element if it is the same as the previous one.
*/
	int
main(argc, args) 
	int argc;
	char **args; 
{
	int i;
	String prevprefix = "";
	for (i = 1; i < argc; i++) {
		String name = toString(args[i]), prefix;
		dedollar(name);
		prefix = normalize(name);
		/* if (strcmp(prevprefix, prefix) != 0) { */
		if (prefix && *prefix) {
			/* have to output prefix */
			printf("-C %s ", prefix); 
			prevprefix = prefix;
		}
		printf("%s ", name);
	}
	return 0;
}



