/* jdo.c
	Prints those of its arguments which
	are the names of existing java files
	for which there is no class file
	or the java file is newer than the class file.
*/

#include <sys/types.h>
#include <sys/stat.h>

static long filetime(fnm) 
	char *fnm;
{
	struct stat buf;
	if (stat(fnm, &buf) != 0)
		return 0L;
	return buf.st_ctime;
}


static int needscompiled(jnm)
	char *jnm;
{
	char cnm[5000];
	int dotloc;
	long ctm, jtm;
	strcpy(cnm, jnm);
	dotloc = strrchr(cnm, '.');
	if (dotloc ==0 || strcmp(dotloc, ".java") != 0)
		return 0;	/* not a .java file */
	strcpy(dotloc, ".class");
	jtm = filetime(jnm);
	if (jtm == 0) return 0;
	ctm = filetime(cnm);
	return ctm == 0 || jtm > ctm;
}


main(argc, argv) 
	int argc;
	char **argv;
{
	int nfound = 0;
	int i;
	for (i = 1; i < argc; i++) {
		if (needscompiled(argv[i])) {
			printf("%s\n", argv[i]);
			nfound++;
		}
	}
	exit (0);
}
