package edu.cmu.sei.gee;


/** Class of all exceptions specific to Gee.
<p>
	Each Gee exception is a subclass of GeeException
	and is implemented as an inner class.
*/
public class GeeException extends Exception {

	private Exception cause;

/** Construct a generic Gee exception. 
	@param cause If not null, this is the exception which
	initially occurred and has been superceded by this GeeException.
*/
public GeeException(String msg, Exception cause) 
	{ super(msg);  this.cause = cause; }



/** Exception indicating that the connection to the server is broken.
<p>
	In response, the main() routine or an immediate subordinate should 
	attempt to reestablish the connection, perhaps by polling.
*/
public class ServerDown extends GeeException {

public ServerDown(String msg, Exception cause) { super(msg, cause); }

} // end class GeeException.ServerDown




} // end class GeeException
