#!/bin/csh -f

set RcsDir=RCSNAME

if ( -e $RcsDir ) then
	set Args=""
	set HasFiles=0
	foreach A ($*)
	    switch ($A)
		case -*:
		    set Args="$Args $A"
		    breaksw
		case *,v:
		    set HasFiles=1
		    set Args="$Args $RcsDir$A"
		    breaksw
		case *: 
		    set HasFiles=1
		    set Args="$Args $RcsDir$A,v"
		    breaksw
	    endsw
	end
	if (! $HasFiles) then
	    set Args="$Args $RcsDir"
	endif
	/bin/ls $Args | /bin/sed 's/,v$//'
else
	/bin/echo " This directory is not linked - use rcslink"
	exit 3
endif
exit 0

