#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>


int main(argc, argv)
int argc;
char **argv;
{
    char *path;
    char *next;
    char *totalpath;
    struct stat	buf;
    
    if (argc != 2 || *(argv[1]) != '/') {
	fprintf(stderr, "usage: %s path\n", argv[0]);
	exit(1);
    }
    
    path = totalpath = argv[1];
    if (stat(totalpath, &buf) == 0){
	fprintf(stderr, "Directory %s already exists...\n", totalpath);
	exit(0);
    }
    next = path;
    next++; /* skip over leading slash */
    while((next = strchr(next, '/')) != 0){
	*next = '\0';
	if (stat(path, &buf) != 0){
	    if (mkdir(path, 0755) != 0){
		fprintf(stderr, "<%s:%d> ERROR creating %s\n", __FILE__, __LINE__, path);
		perror(argv[0]);
		exit(1);
	    }
	}
	*next = '/';
	next++;
    }
    /* check tail end of path */
    if (stat(path, &buf) != 0){
	if (mkdir(path, 0755) != 0){
	    fprintf(stderr, "<%s:%d> ERROR creating %s\n", __FILE__, __LINE__, path);
	    perror(argv[0]);
	    exit(1);
	}
    }
    fprintf(stderr, "Created directory %s\n", path);
    exit(0);
}

