#!/bin/sh

# usage: save file 
# effectively does
#	rcsdiff file 
#	ci -u file
# but also checks that the file checked back out is identical to 
# the one that was checked in.
#	Sigh.  This is because ci in SunOS 5.3 version of 1993
#	loses the tail end of files, sometimes.

if [ $# -ne 1 ]; then
	echo usage: save file 
	echo effectively does
	echo "	rcsdiff file"
	echo "	ci -u file"
	echo Also checks that the file checked back out 
	echo is identical to the one that was checked in.
	exit 1
fi

file=$1
tfile=${file}.saving

/bin/cp ${file} ${tfile}
LOCALRCSDIFF ${file}
LOCALCI ${file}
LOCALCO ${file}

if /bin/diff ${tfile} ${file}; then
	/bin/rm ${tfile}
else
	echo "***********************************************"
	echo "*                                             *"
	echo "*  ERROR: File was not checked in correctly   *"
	echo "*  Correct file is " ${tfile}
	echo "*                                             *"
	echo "***********************************************"
fi
